Index: code/trunk/visual_studio/vc8/core.vcproj
===================================================================
--- code/trunk/visual_studio/vc8/core.vcproj	(revision 1293)
+++ code/trunk/visual_studio/vc8/core.vcproj	(revision 1502)
@@ -149,16 +149,4 @@
 			>
 			<File
-				RelativePath="..\..\src\core\BaseObject.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\ClassTreeMask.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\CommandExecutor.cc"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\ConfigFileManager.cc"
 				>
@@ -177,56 +165,16 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\Executor.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Factory.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Identifier.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\IdentifierDistributor.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\InputBuffer.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\InputHandler.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\InputManager.cc"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\Language.cc"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\core\Loader.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\MetaObjectList.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Namespace.cc"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\NamespaceNode.cc"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\OrxonoxClass.cc"
 				>
 			</File>
 			<File
+				RelativePath="..\..\src\core\OutputBuffer.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\core\OutputHandler.cc"
 				>
@@ -241,15 +189,7 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\TclBind.cc"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\Tickable.cc"
 				>
 			</File>
-			<File
-				RelativePath="..\..\src\core\XMLPort.cc"
-				>
-			</File>
 			<Filter
 				Name="tolua"
@@ -257,4 +197,116 @@
 				<File
 					RelativePath="..\..\src\core\tolua\tolua_bind.cc"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="command"
+				>
+				<File
+					RelativePath="..\..\src\core\ArgumentCompletionFunctions.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\CommandEvaluation.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\CommandExecutor.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\ConsoleCommand.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\ConsoleCommandCompilation.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Executor.cc"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="hierarchy"
+				>
+				<File
+					RelativePath="..\..\src\core\Factory.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Identifier.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\IdentifierDistributor.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\MetaObjectList.cc"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="level"
+				>
+				<File
+					RelativePath="..\..\src\core\BaseObject.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\ClassTreeMask.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Loader.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Namespace.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\NamespaceNode.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\XMLPort.cc"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="input"
+				>
+				<File
+					RelativePath="..\..\src\core\InputBuffer.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\InputManager.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\KeyBinder.cc"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="shell"
+				>
+				<File
+					RelativePath="..\..\src\core\IRC.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Shell.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\TclBind.cc"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\TclThreadManager.cc"
 					>
 				</File>
@@ -267,24 +319,4 @@
 			>
 			<File
-				RelativePath="..\..\src\core\BaseObject.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\ClassFactory.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\ClassManager.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\ClassTreeMask.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\CommandExecutor.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\ConfigFileManager.h"
 				>
@@ -299,12 +331,4 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\ConsoleCommand.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\CoreIncludes.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\CorePrereqs.h"
 				>
@@ -323,76 +347,16 @@
 			</File>
 			<File
-				RelativePath="..\..\src\core\Executor.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Factory.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Functor.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Identifier.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\IdentifierDistributor.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\InputBuffer.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\InputHandler.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\InputInterfaces.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\InputManager.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Iterator.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\Language.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\core\Level.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Loader.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\MetaObjectList.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\Namespace.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\NamespaceNode.h"
-				>
-			</File>
-			<File
-				RelativePath="..\..\src\core\ObjectList.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\OrxonoxClass.h"
 				>
 			</File>
 			<File
+				RelativePath="..\..\src\core\OutputBuffer.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\core\OutputHandler.h"
 				>
@@ -403,19 +367,167 @@
 			</File>
 			<File
+				RelativePath="..\..\src\core\Script_clean.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\core\SignalHandler.h"
 				>
 			</File>
 			<File
-				RelativePath="..\..\src\core\TclBind.h"
-				>
-			</File>
-			<File
 				RelativePath="..\..\src\core\Tickable.h"
 				>
 			</File>
-			<File
-				RelativePath="..\..\src\core\XMLPort.h"
-				>
-			</File>
+			<Filter
+				Name="input"
+				>
+				<File
+					RelativePath="..\..\src\core\InputBuffer.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\InputInterfaces.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\InputManager.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\KeyBinder.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="command"
+				>
+				<File
+					RelativePath="..\..\src\core\ArgumentCompleter.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\ArgumentCompletionFunctions.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\ArgumentCompletionListElement.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\CommandEvaluation.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\CommandExecutor.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\ConsoleCommand.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\ConsoleCommandCompilation.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Executor.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Functor.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="shell"
+				>
+				<File
+					RelativePath="..\..\src\core\IRC.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Shell.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\TclBind.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\TclThreadManager.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="hierarchy"
+				>
+				<File
+					RelativePath="..\..\src\core\ClassFactory.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\ClassManager.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\CoreIncludes.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Factory.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Identifier.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\IdentifierDistributor.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Iterator.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\MetaObjectList.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\ObjectList.h"
+					>
+				</File>
+			</Filter>
+			<Filter
+				Name="level"
+				>
+				<File
+					RelativePath="..\..\src\core\BaseObject.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\ClassTreeMask.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Level.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Loader.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\Namespace.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\NamespaceNode.h"
+					>
+				</File>
+				<File
+					RelativePath="..\..\src\core\XMLPort.h"
+					>
+				</File>
+			</Filter>
 			<Filter
 				Name="tolua"
